Skip to main content
GET
/
admin
/
v1
/
item-graph
/
entities
/
{id}
Get Graph Entity
curl --request GET \
  --url https://api.example.com/admin/v1/item-graph/entities/{id}
{
  "data": {
    "entity": {
      "id": 123,
      "memoryId": "<string>",
      "userId": "<string>",
      "agentId": "<string>",
      "entityKey": "<string>",
      "displayName": "<string>",
      "entityType": "<string>",
      "metadata": {},
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z"
    },
    "aliases": [
      {
        "id": 123,
        "memoryId": "<string>",
        "userId": "<string>",
        "agentId": "<string>",
        "entityKey": "<string>",
        "entityType": "<string>",
        "normalizedAlias": "<string>",
        "evidenceCount": 123,
        "metadata": {},
        "createdAt": "2023-11-07T05:31:56Z",
        "updatedAt": "2023-11-07T05:31:56Z"
      }
    ],
    "mentionCount": 123,
    "topMentionedItemIds": [
      123
    ],
    "topCooccurrences": [
      {
        "id": 123,
        "memoryId": "<string>",
        "userId": "<string>",
        "agentId": "<string>",
        "leftEntityKey": "<string>",
        "rightEntityKey": "<string>",
        "cooccurrenceCount": 123,
        "metadata": {},
        "createdAt": "2023-11-07T05:31:56Z",
        "updatedAt": "2023-11-07T05:31:56Z"
      }
    ],
    "entityOverlapItemLinkCount": 123
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.openmemind.com/llms.txt

Use this file to discover all available pages before exploring further.

The API Reference is under active development. Request and response schemas may change before a stable release.

Path Parameters

id
integer<int32>
required

Response

200 - */*

OK

data
object